package game

type User struct {
	ID          int64  `gorm:"primarykey;autoIncrement" json:"id"`
	AccountId   int64  `gorm:"uniqueIndex;not null" json:"account_id"`                // 帐号id
	Nickname    string `gorm:"type:varchar(32);uniqueIndex;not null" json:"nickname"` // 昵称
	AvatarUrl   string `gorm:"type:varchar(255)" json:"avatar_url"`                   // 头像
	AvatarFrame string `gorm:"type:varchar(255)" json:"avatar_frame"`                 // 头像框
	VipExp      int32  `gorm:"type:int" json:"vip_exp"`                               // vip经验值
}

func (u User) TableName() string {
	return "user"
}
